# RenewPrivateConnect

## 1. API Description

This API is used to restore a deleted Layer 2 private connect.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

<mark style="color:blue;">Only operations on private connects in status of</mark> <mark style="color:blue;">`RECYCLED`</mark> <mark style="color:blue;">are supported.</mark>
{% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

<table><thead><tr><th width="204.87301587301587">Parameter Name</th><th width="118">Required</th><th width="115">Type</th><th>Description</th></tr></thead><tbody><tr><td>privateConnectId</td><td>Yes</td><td>String</td><td>Private connect ID.</td></tr></tbody></table>

## 3. Output Parameters

<table><thead><tr><th width="198.51911009697662">Parameter Name</th><th width="98">Type</th><th>Description</th></tr></thead><tbody><tr><td>requestId</td><td>String</td><td>The unique request ID, which is returned for each request. RequestId is required for locating a problem.</td></tr></tbody></table>

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Restore a deleted Layer 2 private connect.**

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: RenewPrivateConnect
<Common Request Params>

Request：
{
    "privateConnectId": "your-private-connect-id"
}

Response：
{   
  "requestId": "T98044459-95B2-477E-9A2F-00253A70CC6E",
  "response": {
     "requestId": "T98044459-95B2-477E-9A2F-00253A70CC6E"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](https://docs.console.zenlayer.com/api-reference/api-introduction/toolkit/api-sdk) to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Code

No error codes related to the API business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode).​
